Summary: An utility for setting or changing passwords by PAM module
Name: passwd
Version: 0.80
Release: 4%{?dist}
License: BSD or GPL+
URL: https://pagure.io/passwd
Source0: https://releases.pagure.org/passwd/passwd-%{version}.autotoolized.tar.bz2
Patch3000: passwd-0.80-manpage.patch
Patch3001: passwd-0.80-S-output.patch
BuildRequires: make gcc glib2-devel
BuildRequires: libuser-devel, libuser >= 0.53-1, gettext, popt-devel
BuildRequires: pam-devel, libselinux-devel >= 2.1.6-3, audit-libs-devel >= 2.4.5
Requires: pam >= 1.0.90, /etc/pam.d/system-auth, libselinux >= 2.1.6-3, audit-libs >= 2.4.5

%description
This package contains a system utility named passwd which can set
or change user passwords by PAM module.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure \
        --with-selinux \
        --with-audit
make

%install
rm -rf $RPM_BUILD_ROOT
%make_install
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
install -m 644 passwd.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/passwd
%find_lang passwd
for dir in $(ls -1d $RPM_BUILD_ROOT%{_mandir}/??) ; do
    lang=$(basename $dir)
    dir=$(echo $dir | sed -e "s|^$RPM_BUILD_ROOT||")
    echo "%%lang($lang) $dir/man*/*" >> passwd.lang
done

%files -f passwd.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4755,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.80-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.80-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.80-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 9 2022 TAO WU <tallwu@tencent.com> - 0.80-1
- Initial build.
